#
# spec file for package gbdfed
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gbdfed
Version:        1.6
Release:        11.4
License:        BSD-3-Clause
Summary:        A Gtk-based BDF Font Editor, Descendant of XmBDFed
Url:            http://www.math.nmsu.edu/~mleisher/Software/gbdfed/
Group:          Productivity/Graphics/Bitmap Editors
Source:         %{name}-%{version}.tar.bz2
Source1:        gbdfed.desktop
Source2:        COPYING
Source3:        gbdfed16x16.png
Source4:        gbdfed32x32.png
Source5:        gbdfed48x48.png
Patch0:         %{name}-%{version}_array-index.patch
Patch1:         %{name}-%{version}_64bit.patch
Patch2:         %{name}-%{version}-new-gtk.patch
BuildRequires:  freetype2-devel
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A Gtk-based bitmap font (BDF) editor, descendant of XmBDFed. It can
import PK/GF fonts, HBF fonts (Han Bitmap Font),Linux console fonts
(PSF, CP, FNT), Sun console fonts (vfont), Windows FON/FNT fonts,
TrueType fonts and collections, and X server fonts. It exports PSF and
HEX fonts and allows you to edit two- and four-bits-per-pixel grayscale
fonts.

%prep
%setup -q
install -m 644 %{SOURCE2} .
%patch -P 0
%patch -P 1
%patch -P 2 -p1

%build
%configure
make %{?smp_mflags}

%install
%make_install
# desktop menu
%suse_update_desktop_file -i %{name} Graphics RasterGraphics
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,48x48}/apps
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/gbdfed.png
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/gbdfed.png
install -m 644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/gbdfed.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -sf ../icons/hicolor/48x48/apps/gbdfed.png %{buildroot}%{_datadir}/pixmaps/gbdfed.png

%files
%defattr(-,root,root)
%{_datadir}/applications/gbdfed.desktop
%{_bindir}/*
%{_datadir}/icons/*
%{_datadir}/pixmaps/gbdfed.png
%doc NEWS README COPYING
%doc %{_mandir}/man1/*

%changelog
* Tue Feb 27 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%patch -P N instead of deprecated %%patchN.
* Mon Nov  7 2011 pgajdos@suse.com
- "BSD 3-Clause" to "BSD-3-Clause"
* Tue Oct 11 2011 pgajdos@suse.com
- fixed build with new gtk (2.22 and above)
* Tue Apr 20 2010 pgajdos@suse.cz
- updated to 1.6
- removed upstreamed getline.patch
* Thu Nov 19 2009 pgajdos@suse.cz
- removed upstreamed deprec-gtkfileselection.patch
* Wed Jun  3 2009 pgajdos@suse.cz
- getline() renamed to get_line(), because getline() is provided by
  glibc
* Mon Mar  9 2009 pgajdos@suse.cz
- updated to 1.5 (see NEWS)
* Tue Jun 24 2008 pgajdos@suse.cz
- updated to 1.4:
  * Changed last instance of FileSelection to FileChooser.
  * Updated to work with GTK 2.12 (GtkTooltip).
  * Fixed a problem when X11 is not available and bdfgrab.c won't compile as a
    result.
  * Remove the _XMBDFED_INFO font property when fonts are loaded or grabbed
    from the X server.
  * Fixed a problem with renaming glyphs using the Adobe Glyph Name List.
  * Fixed a warning about checking for a point in a NULL region.
  * Fixed a crash that happened because some file filter objects were being
    dereferenced when the import dialog was popped up multiple times.
  * Added up to 10 recent fonts to the File menu.
  * Changed the keyboard activate key for Exit from 'e' to 'x' and the
    activate key for Export from 'x' to 'p'.
  * Fixed a problem with fonts grabbed from the X server always being loaded
    into the FontGrid that popped up the dialog.
  * Fixed a couple problems with integer sign promotion affecting import of
    OTF fonts.
* Fri Jul 20 2007 pgajdos@suse.cz
- fixed some 64bit problems by upstream
  * 64bit.patch
- compiling with new gtk2
  * deprec-gtkfileselection.patch
* Mon Jun 25 2007 pgajdos@suse.cz
- fixed new gcc error: array index out of range
  * array-index.patch
* Thu Apr 26 2007 pgajdos@suse.cz
- adding Encoding entry to desktop file to avoid
  lint error
* Mon Apr 16 2007 pgajdos@suse.cz
- updated to version 1.3:
  * 64-bit fixes
  * fixed installation in DESTDIR
* Tue Apr 10 2007 pgajdos@suse.cz
- package created, version 1.2
